For the complete documentation index, see llms.txt. This page is also available as Markdown.

account_offers - XRPL

Example code for the account_offers JSON RPC method. Complete guide to using account_offers JSON-RPC in the GetBlock Web3 documentation.

This method retrieves a list of offers made by a given account that are outstanding as of a particular ledger version.

Parameters

Parameter
Type
Required
Description

account

string

Yes

Account address

ledger_hash

string

No

Ledger hash

ledger_index

string/number

No

Ledger index or shortcut

limit

number

No

Maximum results

marker

object

No

Pagination marker

Request Example

curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "account_offers",
    "params": [{
        "account": "rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH"
    }],
    "id": "getblock.io"
}'
const axios = require('axios');

const url = 'https://shared.eu-central-1.getblock.io/<ACCESS_TOKEN>/';
const headers = {
    'Content-Type': 'application/json'
};

const payload = {
    jsonrpc: '2.0',
    method: 'account_offers',
    params: [{
        account: 'rN7n7otQDd6FczFgLdSqtcsAUxDkw6fzRH'
    }],
    id: 'getblock.io'
};

axios.post(url, payload, { headers })
    .then(response => console.log(response.data))
    .catch(error => console.error(error));

Response Example

Response Parameters

Parameter
Type
Description

offers

array

Open offers

taker_gets

object

Amount to receive

taker_pays

object

Amount to pay

seq

integer

Offer sequence

ledger_current_index

integer

Current ledger

Use Cases

  • View open orders

  • Cancel specific offers

  • Monitor trading activity

Error Handling

Error Code
Description

actNotFound

Account not found

invalidParams

Invalid parameters

SDK Integration

Last updated

Was this helpful?